Delete a channel
DELETE/api/v4/channels/:channel_id
Archives a channel. This will set the deleteAt to the current timestamp in the database. Soft deleted channels may not be accessible in the user interface. They can be viewed and unarchived in the System Console > User Management > Channels based on your license. Direct and group message channels cannot be deleted.
As of server version 5.28, optionally use the permanent=true query parameter to permanently delete the channel for compliance reasons. To use this feature ServiceSettings.EnableAPIChannelDeletion must be set to true in the server's configuration. If you permanently delete a channel this action is not recoverable outside of a database backup.
Permissions
delete_public_channel permission if the channel is public,
delete_private_channel permission if the channel is private,
or have manage_system permission.
Request
Responses
- 200
- 400
- 401
- 403
Channel deletion successful
Invalid or missing parameters in URL or request body
No access token provided
Do not have appropriate permissions